#ifndef ABSTRACTOBJFORCANVAS_H
#define ABSTRACTOBJFORCANVAS_H

#include <QtGui>

class AbstractObjForCanvas
{
public:
    AbstractObjForCanvas(QRect rect);

    // Pure virtual functions
    virtual void draw(QPainter *painter) const = 0;

    inline QRect rect() const {return m_rect;}

private:
    QRect m_rect;
};

#endif // ABSTRACTOBJFORCANVAS_H
