#ifndef BUTTONFORCANVAS_H
#define BUTTONFORCANVAS_H

#include "abstractobjforcanvas.h"
#include <QtGui>

class ButtonForCanvas : public AbstractObjForCanvas
{
public:
    ButtonForCanvas(const QRect &rect, const QString &label, const QWidget *widget);

    // Reimplement pure virtual functions
    void draw(QPainter *painter) const;

private:
    QStyleOptionButton styleOptionButton;
    const QWidget *widget;
};

#endif // BUTTONFORCANVAS_H
