#ifndef CODEVIEW_H
#define CODEVIEW_H

#include <QTextEdit>
#include <QModelIndex>
#include "document.h"

class CodeView : public QTextEdit
{
Q_OBJECT

public:
    explicit CodeView(const Document *document, QWidget *parent = 0);

private:
    const Document *m_document;

public slots:
    void updateView();
};

#endif // CODEVIEW_H
