#include "genericplainstringproperty.h"

GenericPlainStringProperty::GenericPlainStringProperty(const QString &nameForDomElement,
                                                       const QString &nameForDisplayRoleData,
                                                       AbstractDelegate::DelegateType delegateType)
{
    m_nameForDomElement = nameForDomElement;
    m_nameForDisplayRoleData = nameForDisplayRoleData;
    m_delegateType = delegateType;
}

QVariant GenericPlainStringProperty::updateDisplayRoleDataString(const QString &valueString)
{
    return valueString;
}

QString GenericPlainStringProperty::updateCommandString(const QString &valueString)
{
    return valueString;
}

QString GenericPlainStringProperty::domElementName() const
{
    return m_nameForDomElement;
}

QVariant GenericPlainStringProperty::propertyNameForDisplayRoleData() const
{
    return m_nameForDisplayRoleData;
}

bool GenericPlainStringProperty::isRequired() const
{
    return true;
}

AbstractDelegate::DelegateType GenericPlainStringProperty::delegateForProperty() const
{
    return m_delegateType;
}

