#include "genericstringdelegate.h"
#include <QLineEdit>

GenericStringDelegate::GenericStringDelegate(QObject *parent)
    : AbstractDelegate(parent)
{
}

QWidget *GenericStringDelegate::createEditor(QWidget *parent, const QStyleOptionViewItem &option,
              const QModelIndex &index) const
{
    Q_UNUSED(option)
    Q_UNUSED(index)
    QLineEdit *lineEdit = new QLineEdit(parent);
    return lineEdit;
}

void GenericStringDelegate::setEditorData(QWidget *editor, const QModelIndex &index) const
{
    QLineEdit *lineEdit = static_cast<QLineEdit*>(editor);
    lineEdit->setText(index.data(Qt::EditRole).toString());
}

void GenericStringDelegate::setModelData(QWidget *editor, QAbstractItemModel *model,
                                            const QModelIndex &index) const
{
    QLineEdit *lineEdit = static_cast<QLineEdit*>(editor);
    model->setData(index, lineEdit->text());
}
