#ifndef GROUPBOXFORCANVAS_H
#define GROUPBOXFORCANVAS_H

#include "abstractobjforcanvas.h"
#include <QtGui>

class GroupBoxForCanvas : public AbstractObjForCanvas
{
public:
    GroupBoxForCanvas(const QRect &rect, const QString &label, const QWidget *widget);

    // Reimplement pure virtual functions
    void draw(QPainter *painter) const;

private:
    QStyleOptionGroupBox styleOptionGroupBox;
    const QWidget *widget;
};

#endif // GROUPBOXFORCANVAS_H
