#include "groupboxobj.h"

GroupBoxObj::GroupBoxObj()
    : AbstractControlObj(AbstractObj::GroupBox)
{
    xSizeProperty->setValue("200");
    ySizeProperty->setValue("100");

    labelProperty
            = new GenericLabeledStringProperty("label", "Label", AbstractDelegate::GenericString);
    appendProperty(labelProperty);
}

QString GroupBoxObj::commandString() const
{
    return "GROUPBOX" + standardInnerCommandString();
}

QString GroupBoxObj::commandNameForDisplayRoleData() const
{
    return "Group box";
}

QString GroupBoxObj::typeNameForDomElement() const
{
    return "groupbox";
}

