#ifndef IACTIONCOMPLETER_H
#define IACTIONCOMPLETER_H

#include <QCompleter>
#include <QStandardItemModel>

class IActionCompleter : public QCompleter
{
Q_OBJECT

public:
    explicit IActionCompleter(const QAbstractItemModel *sourceModel, QObject *parent);

    virtual QString pathFromIndex(const QModelIndex &index) const;
    virtual QStringList splitPath(const QString &path) const;

private:
    QStandardItem *itemForMemberFunction(const QString &displayData, const QString &toolTip);

};

#endif // IACTIONCOMPLETER_H
