#ifndef LISTCONTENTLISTVIEW_H
#define LISTCONTENTLISTVIEW_H

#include <QListView>
#include <QAction>
#include <QMenu>
#include <QContextMenuEvent>

class ListContentListView : public QListView
{
Q_OBJECT

public:
    explicit ListContentListView(QWidget *parent = 0);

private:
    QAction *removeItemAction;
    QMenu *contextMenu;

private slots:
    void onRemoveItemActionTriggered();
    
protected:
    virtual void contextMenuEvent(QContextMenuEvent *event);

signals:
    void removeItem();
};

#endif // LISTCONTENTLISTVIEW_H
