#include "listobj.h"

ListObj::ListObj()
    : AbstractObj(AbstractObj::List)
{
    nameProperty = new GenericPlainStringProperty("name", "Name", AbstractDelegate::Name);
    nameProperty->setValue("mylist");
    appendProperty(nameProperty);

    listContentProperty = new ListContentProperty;
    appendProperty(listContentProperty);
}

QString ListObj::commandString() const
{
    return "LIST" + standardInnerCommandString();
}

QString ListObj::commandNameForDisplayRoleData() const
{
    return "List";
}

QString ListObj::typeNameForDomElement() const
{
    return "list";
}

bool ListObj::hasName() const
{
    return true;
}
