#ifndef LISTOBJ_H
#define LISTOBJ_H

#include "abstractobj.h"

// Properties
#include "genericplainstringproperty.h"
#include "listcontentproperty.h"

class ListObj : public AbstractObj
{
public:
    ListObj();

    // Re-implemented pure virtual functions
    virtual QString commandString() const;
    virtual QString commandNameForDisplayRoleData() const;
    virtual QString typeNameForDomElement() const;
    virtual bool hasName() const;

    // Properties
    GenericPlainStringProperty *nameProperty;
    ListContentProperty *listContentProperty;
};

#endif // LISTOBJ_H
