#ifndef OBJTYPEMIMEDATA_H
#define OBJTYPEMIMEDATA_H

#include <QMimeData>
#include <QStringList>
#include "abstractobj.h"

class ObjTypeMimeData : public QMimeData
{
Q_OBJECT

public:
    explicit ObjTypeMimeData(AbstractObj::ObjType objType);
    inline AbstractObj::ObjType objType() const {return m_objType;}
    virtual QStringList formats() const;

private:
    AbstractObj::ObjType m_objType;
    QStringList myFormats;
};

#endif // OBJTYPEMIMEDATA_H
