#ifndef POSITIONGEOMETRYDATASETTER_H
#define POSITIONGEOMETRYDATASETTER_H

#include "abstractsetter.h"
#include <QSpinBox>
#include <QComboBox>

class PositionGeometryDataSetter : public AbstractSetter
{
Q_OBJECT

public:
    PositionGeometryDataSetter(bool defaultValueAllowed, QWidget *parent);
    void setPositionGeometryData(const QString &data);
    QString positionGeometryData() const;

private:
    // GUI
    QSpinBox *spinBox;
    QComboBox *comboBox;

    bool m_defaultValueAllowed;

private slots:
    void onCurrentComboBoxItemChanged(int pos);
};

#endif // POSITIONGEOMETRYDATASETTER_H
