#include "positiongeometryxsizeysizedatadelegate.h"
#include "positiongeometrydatasetter.h"

PositionGeometryXSizeYSizeDataDelegate::PositionGeometryXSizeYSizeDataDelegate(QObject *parent)
    : AbstractDelegate(parent)
{
}

QWidget *PositionGeometryXSizeYSizeDataDelegate::createEditor(QWidget *parent,
                                                              const QStyleOptionViewItem &option,
                                                              const QModelIndex &index) const
{
    Q_UNUSED(option)
    Q_UNUSED(index)
    PositionGeometryDataSetter *positionGeometryDataSetter
            = new PositionGeometryDataSetter(false, parent);
    return positionGeometryDataSetter;
}

void PositionGeometryXSizeYSizeDataDelegate::setEditorData(QWidget *editor, const QModelIndex &index) const
{
    PositionGeometryDataSetter *positionGeometryDataSetter
            = static_cast<PositionGeometryDataSetter*>(editor);
    positionGeometryDataSetter->setPositionGeometryData(index.data(Qt::EditRole).toString());

}

void PositionGeometryXSizeYSizeDataDelegate::setModelData(QWidget *editor, QAbstractItemModel *model,
                                                const QModelIndex &index) const
{
    PositionGeometryDataSetter *positionGeometryDataSetter
            = static_cast<PositionGeometryDataSetter*>(editor);
    model->setData(index, positionGeometryDataSetter->positionGeometryData());
}
