#ifndef PROGRAMCODESETTER_H
#define PROGRAMCODESETTER_H

#include "abstractsetter.h"
#include <QTextEdit>
#include <QToolButton>

class ProgramCodeSetter : public AbstractSetter
{
Q_OBJECT

public:
    ProgramCodeSetter(QWidget *parent);
    void setCodeData(const QString &data);
    QString codeData() const;

private:
    // GUI
    QTextEdit *textEdit;
    QToolButton *advancedEditorButton;

private slots:
    void onAdvancedEditorButtonClicked();
};

#endif // PROGRAMCODESETTER_H
