#include "radioforcanvas.h"

RadioForCanvas::RadioForCanvas(const QRect &rect, const QString &label, const QWidget *widget)
    : AbstractObjForCanvas(rect), widget(widget)
{
    styleOptionRadio.initFrom(widget);
    styleOptionRadio.rect = rect;
    styleOptionRadio.text = label;
}

void RadioForCanvas::draw(QPainter *painter) const
{
    widget->style()->drawControl(QStyle::CE_RadioButton, &styleOptionRadio, painter, widget);
}
