#ifndef ROOTOBJ_H
#define ROOTOBJ_H

#include "abstractobj.h"

// The RootObj is only used as root object in the document class

class RootObj : public AbstractObj
{
public:
    RootObj();

    // Re-implemented pure virtual functions
    virtual QString commandString() const;
    virtual QString commandNameForDisplayRoleData() const;
    virtual QString typeNameForDomElement() const;
    virtual bool hasName() const;
};

#endif // ROOTOBJ_H
