#ifndef SCRIPTOBJ_H
#define SCRIPTOBJ_H

#include "abstractobj.h"

// Properties
#include "genericplainstringproperty.h"
#include "scriptiactionlistproperty.h"

class ScriptObj : public AbstractObj
{
public:
    ScriptObj();

    // Re-implemented pure virtual functions
    virtual QString commandString() const;
    virtual QString commandNameForDisplayRoleData() const;
    virtual QString typeNameForDomElement() const;
    virtual bool hasName() const;

    // Properties
    GenericPlainStringProperty *nameProperty;
    ScriptIActionListProperty *scriptIActionList;
};

#endif // SCRIPTOBJ_H
