#ifndef TEXTBOXFORCANVAS_H
#define TEXTBOXFORCANVAS_H

#include "abstractobjforcanvas.h"
#include <QtGui>

class TextBoxForCanvas : public AbstractObjForCanvas
{
public:
    TextBoxForCanvas(const QRect &rect, const QString &text,
                  Qt::Alignment alignment, const QWidget *widget);

    // Reimplement pure virtual functions
    void draw(QPainter *painter) const;

private:
    const QWidget *widget;
    QRect rect;
    const Qt::Alignment alignment;
    const QString text;
};


#endif // TEXTBOXFORCANVAS_H
