#ifndef TEXTBOXOBJ_H
#define TEXTBOXOBJ_H

#include "abstractcontrolobj.h"

// Properties
#include "genericlabeledstringproperty.h"
#include "alignmentproperty.h"

class TextBoxObj : public AbstractControlObj
{
public:
    TextBoxObj();

    // Re-implemented pure virtual functions
    virtual QString commandString() const;
    virtual QString commandNameForDisplayRoleData() const;
    virtual QString typeNameForDomElement() const;

    // Properties
    GenericLabeledStringProperty *labelProperty;
    AlignmentProperty *alignmentProperty;
};

#endif // TEXTBOXOBJ_H
