#ifndef TEXTFORCANVAS_H
#define TEXTFORCANVAS_H

#include "abstractobjforcanvas.h"
#include <QtGui>

class TextForCanvas : public AbstractObjForCanvas
{
public:
    TextForCanvas(const QRect &rect, const QString &text,
                  Qt::Alignment alignment, const QWidget *widget);

    // Reimplement pure virtual functions
    void draw(QPainter *painter) const;

private:
    const QWidget *widget;
    QRect rect;
    const Qt::Alignment alignment;
    const QString text;
};

#endif // TEXTFORCANVAS_H
