#ifndef TEXTOBJ_H
#define TEXTOBJ_H

#include "abstractcontrolobj.h"

// Properties
#include "genericlabeledstringproperty.h"
#include "alignmentproperty.h"

class TextObj : public AbstractControlObj
{
public:
    TextObj();

    // Re-implemented pure virtual functions
    virtual QString commandString() const;
    virtual QString commandNameForDisplayRoleData() const;
    virtual QString typeNameForDomElement() const;

    // Properties
    GenericLabeledStringProperty *labelProperty;
    AlignmentProperty *alignmentProperty;
};

#endif // TEXTOBJ_H
