#ifndef VARLISTFORCANVAS_H
#define VARLISTFORCANVAS_H

#include "abstractobjforcanvas.h"

class VarListForCanvas : public AbstractObjForCanvas
{
public:
    VarListForCanvas(const QRect &rect, const QWidget *widget);

    // Reimplement pure virtual functions
    void draw(QPainter *painter) const;

private:    
    const QWidget *widget;
    QStyleOptionFrameV2 styleOptionFrame;
    QPixmap varlistButtonPixmap;
    QRect varlistButtonRect;
};

#endif // VARLISTFORCANVAS_H
