#include "buttonforcanvas.h"

ButtonForCanvas::ButtonForCanvas(const QRect &rect, const QString &label, const QWidget *widget)
    : AbstractObjForCanvas(rect), widget(widget)
{
    styleOptionButton.initFrom(widget);
    styleOptionButton.rect = rect;
    styleOptionButton.text = label;
}

void ButtonForCanvas::draw(QPainter *painter) const
{
    widget->style()->drawControl(QStyle::CE_PushButton, &styleOptionButton, painter, widget);
}
