#include "checkboxforcanvas.h"

CheckBoxForCanvas::CheckBoxForCanvas(const QRect &rect, const QString &label, const QWidget *widget)
    : AbstractObjForCanvas(rect), widget(widget)
{
    styleOptionCheckBox.initFrom(widget);
    styleOptionCheckBox.rect = rect;
    styleOptionCheckBox.text = label;
}

void CheckBoxForCanvas::draw(QPainter *painter) const
{
    widget->style()->drawControl(QStyle::CE_CheckBox, &styleOptionCheckBox, painter, widget);
}
