#include "comboboxtypedelegate.h"

ComboBoxTypeDelegate::ComboBoxTypeDelegate(QObject *parent)
    : AbstractMultiModalityDelegate(parent)
{
    // Edit role modalities
    QList<QString> editRoleModalities;
    editRoleModalities.append("regular");
    editRoleModalities.append("dropdown");
    editRoleModalities.append("dropdownlist");
    editRoleModalities.append("");

    // Display role modalities
    QList<QString> displayRoleModalities;
    displayRoleModalities.append("Regular");
    displayRoleModalities.append("Drop-down");
    displayRoleModalities.append("Drop-down list");
    displayRoleModalities.append("Not specified (Regular)");

    setModalities(editRoleModalities, displayRoleModalities);
}
