#ifndef DIALOGOBJ_H
#define DIALOGOBJ_H

#include "abstractobj.h"

class DialogObj : public AbstractObj
{
public:
    DialogObj();

    // Re-implemented pure virtual functions
    virtual QString commandString() const;
    virtual QString commandNameForDisplayRoleData() const;
    virtual QString typeNameForDomElement() const;
    virtual bool hasName() const;

    // Re-implemented not pure virtual functions
    virtual QDomElement domElement(QDomDocument &xmlDocument) const;

    // Other re-implemented functions
    void setFromObjDomElement(const QDomElement &domElement);
};

#endif // DIALOGOBJ_H
