#include "groupboxforcanvas.h"

GroupBoxForCanvas::GroupBoxForCanvas(const QRect &rect, const QString &label, const QWidget *widget)
    : AbstractObjForCanvas(rect), widget(widget)
{
    styleOptionGroupBox.initFrom(widget);
    styleOptionGroupBox.rect = rect;
    styleOptionGroupBox.text = label;
    styleOptionGroupBox.activeSubControls = QStyle::SC_GroupBoxLabel | QStyle::SC_GroupBoxFrame | QStyle::SC_GroupBoxContents;
    styleOptionGroupBox.subControls = QStyle::SC_GroupBoxLabel | QStyle::SC_GroupBoxFrame | QStyle::SC_GroupBoxContents;
}

void GroupBoxForCanvas::draw(QPainter *painter) const
{
    widget->style()->drawComplexControl(QStyle::CC_GroupBox, &styleOptionGroupBox, painter, widget);
}


