#include "includeobj.h"

// Properties
#include "genericplainstringproperty.h"

IncludeObj::IncludeObj()
    : AbstractObj(AbstractObj::Include)
{
    GenericPlainStringProperty *genericPlainStringProperty
            = new GenericPlainStringProperty("filename", "File name", AbstractDelegate::IncludeFileName);
    appendProperty(genericPlainStringProperty);
}

QString IncludeObj::commandString() const
{
    return "INCLUDE" + standardInnerCommandString();
}

QString IncludeObj::commandNameForDisplayRoleData() const
{
    return "Include";
}

QString IncludeObj::typeNameForDomElement() const
{
    return "include";
}

bool IncludeObj::hasName() const
{
    return false;
}
