#ifndef LISTCONTENTPROPERTY_H
#define LISTCONTENTPROPERTY_H

#include "abstractproperty.h"

class ListContentProperty : public AbstractProperty
{
public:
    ListContentProperty();

    // Re-implemented pure virtual functions
    virtual QVariant updateDisplayRoleDataString(const QString &valueString);
    virtual QString updateCommandString(const QString &valueString);
    virtual QString domElementName() const;
    virtual QVariant propertyNameForDisplayRoleData() const;
    virtual bool isRequired() const;
    virtual AbstractDelegate::DelegateType delegateForProperty() const;

    // Re-implemented virtual functions
    virtual void setFromObjDomElement(const QDomElement &domElement);
    virtual QDomElement domElement(QDomDocument &xmlDocument) const;

};

#endif // LISTCONTENTPROPERTY_H
