#include "programcodedelegate.h"
#include "programcodesetter.h"

ProgramCodeDelegate::ProgramCodeDelegate(QObject *parent)
    : AbstractDelegate(parent)
{
}

QWidget *ProgramCodeDelegate::createEditor(QWidget *parent, const QStyleOptionViewItem &option,
              const QModelIndex &index) const
{
    Q_UNUSED(option)
    ProgramCodeSetter *programCodeSetter = new ProgramCodeSetter(parent);
    return programCodeSetter;
}

void ProgramCodeDelegate::setEditorData(QWidget *editor, const QModelIndex &index) const
{
    ProgramCodeSetter *programCodeSetter = static_cast<ProgramCodeSetter*>(editor);
    programCodeSetter->setCodeData(index.data(Qt::EditRole).toString());
}

void ProgramCodeDelegate::setModelData(QWidget *editor, QAbstractItemModel *model,
                                       const QModelIndex &index) const
{
    ProgramCodeSetter *programCodeSetter = static_cast<ProgramCodeSetter*>(editor);
    model->setData(index, programCodeSetter->codeData());
}


