#include "scriptobj.h"

ScriptObj::ScriptObj()
    : AbstractObj(AbstractObj::Script)
{
    nameProperty = new GenericPlainStringProperty("name", "Name", AbstractDelegate::Name);
    nameProperty->setValue("mylist");
    appendProperty(nameProperty);

    scriptIActionList = new ScriptIActionListProperty;
    appendProperty(scriptIActionList);
}

QString ScriptObj::commandString() const
{
    return "SCRIPT" + standardInnerCommandString();
}

QString ScriptObj::commandNameForDisplayRoleData() const
{
    return "Script";
}

QString ScriptObj::typeNameForDomElement() const
{
    return "script";
}

bool ScriptObj::hasName() const
{
    return true;
}
