#include "spinnerforcanvas.h"

SpinnerForCanvas::SpinnerForCanvas(const QRect &rect, const QWidget *widget)
    : AbstractObjForCanvas(rect), widget(widget)
{
    styleOptionSpinBox.initFrom(widget);
    styleOptionSpinBox.rect = rect;
    styleOptionSpinBox.frame = true;
}

void SpinnerForCanvas::draw(QPainter *painter) const
{
    widget->style()->drawComplexControl(QStyle::CC_SpinBox, &styleOptionSpinBox, painter, widget);
}
