#include "targetdelegate.h"

TargetDelegate::TargetDelegate(QObject *parent)
    : AbstractMultiModalityDelegate(parent)
{
    // Edit role modalities
    QList<QString> editRoleModalities;
    editRoleModalities.append("stata");
    editRoleModalities.append("stata hidden");
    editRoleModalities.append("cmdwin");
    editRoleModalities.append("clipboard");
    editRoleModalities.append("");

    // Display role modalities
    QList<QString> displayRoleModalities;
    displayRoleModalities.append("Stata");
    displayRoleModalities.append("Stata hidden");
    displayRoleModalities.append("Command window");
    displayRoleModalities.append("Clipboard");
    displayRoleModalities.append("Not specified (Stata)");

    setModalities(editRoleModalities, displayRoleModalities);
}
